import axios from 'axios'
import { Toast } from 'mint-ui'

// create an axios instance
const service = axios.create({
  baseURL: process.env.BASE_API, // api的base_url
  timeout: 30000, // request timeout
  withCredentials: true
})

// respone interceptor
service.interceptors.response.use(
  // response => response,
  response => {
    const res = response.data
    if (res.state !== 1) {
      if (res.code === 6002) {
        // MessageBox.confirm('你已被登出，可以取消继续留在该页面，或者重新登录', '确定登出', {
        //   confirmButtonText: '重新登录',
        //   cancelButtonText: '取消',
        //   type: 'warning'
        // }).then(() => {
        //   store.dispatch('FrontendLogout').then(() => {
        //     location.reload() // 为了重新实例化vue-router对象 避免bug
        //   })
        // })
        location.reload()
        return Promise.reject('error')
      } else {
        return response
      }
    } else {
      return response
    }
  },
  error => {
    console.log('err' + error) // for debug
    Toast({
      message: error.message,
      duration: 2 * 1000
    })
    return Promise.reject(error)
  })

export default service
